#!/bin/bash
#    $1 - Image Version (digit)
#    $2 - Image Description
#    $3 - directory where locate rootfs	
#    $4 - stb model
#    $5 - file_profile	

if [ "$5" != "" ]; then 
  . $5
fi

if [ "$1" == "" ]; then 
    img_ver=$IMAGE_VERSION 
else 
    img_ver=$1 
fi

if [ "$2" == "" ]; then
    img_desc=$IMAGE_DESCRIPTION
else
    img_desc=$2
fi

if [ "$3" == "" ]; then
    root_path=$ROOTFS_PATH     
else
    root_path=$3
fi

if [ "$KERNEL_PATH" == "" ]; then
    KERNEL_PATH=./uImzlib.img
fi

if [ ! -f $root_path/etc/VerUpdateAPI.conf ] ; then
    echo -e "\nUpdate API version is not defined!!!\n"
    exit 1;
fi
verUpdateAPI=`cat $root_path/etc/VerUpdateAPI.conf | awk '{printf  $1; exit;}'`
echo "Make rootfs image $root_path"
./mk_rfs.sh $root_path

# Append digital signature
echo "Append digital signature MAG200_OP_KEY=$MAG200_OP_KEY"
./mksign.sh ./sumsubfsnone.img ./sumsubfsnone.img.sign $HASH_TYPE

# Make One Image
./make_imageupdate.sh ./imageupdate $KERNEL_PATH ./sumsubfsnone.img.sign $img_ver $img_desc $4 $verUpdateAPI $HASH_TYPE
rm -f ./sumsubfsnone.img.sign
